Upstream information

CVE-2022-45063 at MITRE

Description

xterm before 375 allows code execution via font ops, e.g., because an OSC 50 response may have Ctrl-g and therefore lead to command execution within the vi line-editing mode of Zsh. NOTE: font ops are not allowed in the xterm default configurations of some Linux distributions.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1205305 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • xterm >= 330-150000.4.6.1
  • xterm-bin >= 330-150000.4.6.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-173
SUSE Enterprise Storage 6
  • xterm >= 330-150000.4.6.1
  • xterm-bin >= 330-150000.4.6.1
Patchnames:
SUSE-Storage-6-2023-173
SUSE Enterprise Storage 7.1
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-Storage-7.1-2023-221
SUSE Enterprise Storage 7
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-Storage-7-2023-221
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-221
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • xterm >= 330-150000.4.6.1
  • xterm-bin >= 330-150000.4.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-173
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-221
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-221
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-221
SUSE Linux Enterprise Real Time 15 SP3
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-221
SUSE Linux Enterprise Server 15 SP1-LTSS
  • xterm >= 330-150000.4.6.1
  • xterm-bin >= 330-150000.4.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-173
SUSE Linux Enterprise Server 15 SP2-LTSS
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-221
SUSE Linux Enterprise Server 15 SP3-LTSS
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-221
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • xterm >= 330-150000.4.6.1
  • xterm-bin >= 330-150000.4.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-173
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-221
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-221
SUSE Manager Proxy 4.2
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-221
SUSE Manager Retail Branch Server 4.2
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-221
SUSE Manager Server 4.2
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-221
openSUSE Leap 15.4
  • xterm >= 330-150200.11.9.1
  • xterm-bin >= 330-150200.11.9.1
Patchnames:
openSUSE-SLE-15.4-2023-221
openSUSE Tumbleweed
  • xterm >= 375-2.1
  • xterm-bin >= 375-2.1
  • xterm-resize >= 375-2.1
Patchnames:
openSUSE Tumbleweed GA xterm-375-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 xterm Released
SUSE Enterprise Storage 7.1 xterm Released
SUSE Linux Enterprise Desktop 15 SP4 xterm Released
SUSE Linux Enterprise High Performance Computing 12 SP5 xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 xterm Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 xterm Released
SUSE Linux Enterprise Real Time 15 SP3 xterm Released
SUSE Linux Enterprise Server 12 SP5 xterm Affected
SUSE Linux Enterprise Server 12-LTSS xterm Affected
SUSE Linux Enterprise Server 15 SP4 xterm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 xterm Released
SUSE Manager Proxy 4.2 xterm Released
SUSE Manager Proxy 4.3 xterm Released
SUSE Manager Retail Branch Server 4.2 xterm Released
SUSE Manager Retail Branch Server 4.3 xterm Released
SUSE Manager Server 4.2 xterm Released
SUSE Manager Server 4.3 xterm Released
openSUSE Leap 15.4 xterm Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS xterm Released
SUSE Linux Enterprise High Performance Computing 15 SP2 xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS xterm Released
SUSE Linux Enterprise High Performance Computing 15 SP3 xterm Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS xterm Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS xterm Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS xterm Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS xterm Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 xterm Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 xterm Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 xterm Affected
SUSE Linux Enterprise Server 12 SP2-BCL xterm Affected
SUSE Linux Enterprise Server 12 SP4 xterm Affected
SUSE Linux Enterprise Server 12 SP4-LTSS xterm Affected
SUSE Linux Enterprise Server 15 SP1 xterm Affected
SUSE Linux Enterprise Server 15 SP1-LTSS xterm Released
SUSE Linux Enterprise Server 15 SP2 xterm Affected
SUSE Linux Enterprise Server 15 SP2-LTSS xterm Released
SUSE Linux Enterprise Server 15 SP3 xterm Affected
SUSE Linux Enterprise Server 15 SP3-LTSS xterm Released
SUSE Linux Enterprise Server 15-ESPOS xterm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 xterm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 15 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xterm Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 xterm Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 xterm Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 xterm Affected
SUSE CaaS Platform 4.0 xterm Released
SUSE Enterprise Storage 6 xterm Released
SUSE Linux Enterprise Desktop 12 xterm Affected
SUSE Linux Enterprise Desktop 12 SP1 xterm Affected
SUSE Linux Enterprise Desktop 12 SP2 xterm Affected
SUSE Linux Enterprise Desktop 12 SP3 xterm Affected
SUSE Linux Enterprise Desktop 12 SP4 xterm Affected
SUSE Linux Enterprise Desktop 15 xterm Affected
SUSE Linux Enterprise Desktop 15 SP1 xterm Affected
SUSE Linux Enterprise Desktop 15 SP2 xterm Affected
SUSE Linux Enterprise Desktop 15 SP3 xterm Affected
SUSE Linux Enterprise Module for Basesystem 15 xterm Affected
SUSE Linux Enterprise Real Time 15 SP2 xterm Affected
SUSE Linux Enterprise Server 11 SP3 xterm Affected
SUSE Linux Enterprise Server 11 SP3-LTSS xterm Affected
SUSE Linux Enterprise Server 11 SP4 xterm Affected
SUSE Linux Enterprise Server 11 SP4-LTSS xterm Affected
SUSE Linux Enterprise Server 12 xterm Affected
SUSE Linux Enterprise Server 12 SP1 xterm Affected
SUSE Linux Enterprise Server 12 SP1-LTSS xterm Affected
SUSE Linux Enterprise Server 12 SP2 xterm Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS xterm Affected
SUSE Linux Enterprise Server 12 SP2-LTSS xterm Affected
SUSE Linux Enterprise Server 12 SP3 xterm Affected
SUSE Linux Enterprise Server 12 SP3-BCL xterm Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS xterm Affected
SUSE Linux Enterprise Server 12 SP3-LTSS xterm Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS xterm Affected
SUSE Linux Enterprise Server 15 xterm Affected
SUSE Linux Enterprise Server 15 SP1-BCL xterm Affected
SUSE Linux Enterprise Server 15 SP2-BCL xterm Affected
SUSE Linux Enterprise Server 15 SP3-BCL xterm Affected
SUSE Linux Enterprise Server 15-LTSS xterm Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xterm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xterm Affected
SUSE Manager Proxy 4.0 xterm Affected
SUSE Manager Proxy 4.1 xterm Affected
SUSE Manager Retail Branch Server 4.0 xterm Affected
SUSE Manager Retail Branch Server 4.1 xterm Affected
SUSE Manager Server 4.0 xterm Affected
SUSE Manager Server 4.1 xterm Affected
SUSE OpenStack Cloud 7 xterm Affected
SUSE OpenStack Cloud 8 xterm Affected
SUSE OpenStack Cloud 9 xterm Affected
SUSE OpenStack Cloud Crowbar 8 xterm Affected
SUSE OpenStack Cloud Crowbar 9 xterm Affected


SUSE Timeline for this CVE

CVE page created: Thu Nov 10 19:45:04 2022
CVE page last modified: Wed Feb 1 18:29:03 2023